### Method

# WebKit Settings get_allow_top_navigation_to_data_urls

#### Declaration [src]

    gboolean
    webkit_settings_get_allow_top_navigation_to_data_urls (
      WebKitSettings* settings
    )

#### Description [src]

Get the `WebKitSettings:allow-top-navigation-to-data-urls` property.

Available since: | 2.28

Gets property | `WebKit.Settings:allow-top-navigation-to-data-urls`

#### Return value

Returns: | `gboolean`
| `TRUE` If navigation to data URLs from the top frame is allowed or `FALSE`\ otherwise.